<?php
if (!isset($_POST['action']))
{
	echo "<h1>Artikel löschen</h1>\n";
	$sql = "SELECT Bezeichnung, Preis FROM " . PREFIX . "_Artikel WHERE ID = \"" . $_POST['ID'] . "\";";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	echo "<h2>Soll folgender Artikel wirklich gelöscht werden?</h2>\n";
	echo "<label>Bezeichnung</label>\n";
	echo "<label class=\"data\">" . $nt['Bezeichnung'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Preis</label>\n";
	echo "<label class=\"data\">" . $nt['Preis'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "	<input type=\"hidden\" name=\"formaction\" value=\"del\" />\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" class=\"button_del\" name=\"action\" value=\"1\" title=\"Artikel jetzt l&ouml;schen\" />\n";
	echo "	<input type=\"submit\" class=\"button_stop\" name=\"formaction\" value=\"stop\" title=\"Abbrechen\" />\n";
	echo "</form>\n";
	echo "<br class=\"fix\" />\n";
}
else
{
	$sql = 'DELETE FROM
				' . PREFIX . '_Artikel
			WHERE
				ID = "' . $_POST['ID'] . '";';
	$result = $db->query($sql);
	if ($result)
	{
		unset($_POST);
		include __DIR__ . "/artikel.php";
	}
	else
	{
		echo "Fehler beim löschen";
	}
}